Download it now!
Bug 124287 - Notebookbar tabbed : wrong insert field tooltip
Summary: Notebookbar tabbed : wrong insert field tooltip
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Notebookbar-Tabbed
  Show dependency treegraph
 
Reported: 2019-03-23 11:35 UTC by Julien Nabet
Modified: 2019-04-05 13:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Nabet 2019-03-23 11:35:20 UTC
Description:
On pc Debian x86-64 with master sources updated today + notebookbar tab, the tooltip of Field is "Show the Styles Sidebar (F11)" in Impress, Draw Calc + notebookbar compact of Calc.

Steps to Reproduce:
In Calc for example:
1. Open Calc
2. Menu View, User interface / tabbed
3. Click Insert tab
4. Hover Field icon with mouse


Actual Results:
tooltip shows "Show the Styles Sidebar (F11)"

Expected Results:
tooltip should show other another thing, perhaps simply "Field"?


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Comment 1 Julien Nabet 2019-03-23 11:38:07 UTC
Heiko/Xisco: thought about this patch (for Calc part)
diff --git a/sc/uiconfig/scalc/ui/notebookbar.ui b/sc/uiconfig/scalc/ui/notebookbar.ui
index 678e0756c0c6..a3051307c157 100644
--- a/sc/uiconfig/scalc/ui/notebookbar.ui
+++ b/sc/uiconfig/scalc/ui/notebookbar.ui
@@ -5047,7 +5047,7 @@
                             <property name="visible">True</property>
                             <property name="can_focus">True</property>
                             <property name="receives_default">True</property>
-                            <property name="action_name">.uno:DesignerDialog</property>
+                            <property name="action_name">.uno:FieldMenu</property>
                             <property name="image">paragraphstylei</property>
                             <property name="relief">none</property>
                             <property name="use_underline">True</property>
diff --git a/sc/uiconfig/scalc/ui/notebookbar_compact.ui b/sc/uiconfig/scalc/ui/notebookbar_compact.ui
index ac6e9c0f97d9..717bd90f584f 100644
--- a/sc/uiconfig/scalc/ui/notebookbar_compact.ui
+++ b/sc/uiconfig/scalc/ui/notebookbar_compact.ui
@@ -4168,7 +4168,7 @@
                             <property name="visible">True</property>
                             <property name="can_focus">True</property>
                             <property name="receives_default">True</property>
-                            <property name="action_name">.uno:DesignerDialog</property>
+                            <property name="action_name">.uno:FieldMenu</property>
                             <property name="image">paragraphstylei</property>
                             <property name="relief">none</property>
                             <property name="use_underline">True</property>

Any thoughts?

Indeed, I din't find anything in officecfg/registry/data/org/openoffice/Office/UI/GenericCommands.xcu which could fit more.
Or perhaps we should add an "Insert Field" block in this file so we may have a more adequate tooltip?
Comment 2 Heiko Tietze 2019-03-24 13:10:03 UTC
The Notebookbar variants are more based on decisions of the designer than generic guidelines. While we tried to draft those I cannot say if something has to go into a variant or not (except the GroupedBar, which is still experimental).

To me, uno:DesignerDialog or uno:FieldMenu are totally different things where the first has no place in the tool-/notbookbar. And actually the issue of an inappropriate tooltip wouldn`t be solved.

But let's ask Andreas about his opinion.
Comment 3 andreas_k 2019-04-05 12:09:47 UTC
I can fix it thanks for the review. it was a copy paste issue.
Comment 4 Commit Notification 2019-04-05 13:55:53 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d33b3efa90bed4f317c872b1c2b83696cdedaa26%5E%21

tdf#124287 wrong tooltip at Field command in NB

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.